
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Drupal、IoT 和开源硬件之间的交集 / 憋错料</title>

    <meta name="description" content="Drupal、IoT 和开源硬件之间的交集 导读 来认识一下Amber Matz,她是来自 Lullabot Education 旗下的Drupalize.Me的产品经理以及培训师.当她没有倒腾 Arduino.Raspberry Pi 以及电子穿戴设备时,通常会在波特兰 Drupal 用户组里担任辩论主持人. 在即将举行的DrupalCon NOLA大会上,Amber 将主持一个关于 Drupal 和 IoT 的主题.如果你会去参加,也想了解下开源硬件,IoT 和 Drupal 之间的交集,那这个将很合适.如果你去不了新奥尔良的现场也没">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Drupal、IoT 和开源硬件之间的交集</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<table>
<tbody>
<tr>
<td>导读</td>
<td><strong>来认识一下Amber Matz，她是来自 Lullabot Education 旗下的Drupalize.Me的产品经理以及培训师。当她没有倒腾 Arduino、Raspberry Pi 以及电子穿戴设备时，通常会在波特兰 Drupal 用户组里担任辩论主持人。</strong></td>
</tr>
</tbody>
</table>
<p>在即将举行的DrupalCon NOLA大会上，Amber 将主持一个关于 Drupal 和 IoT 的主题。如果你会去参加，也想了解下开源硬件，IoT 和 Drupal 之间的交集，那这个将很合适。如果你去不了新奥尔良的现场也没关系，Amber 还分享了许多很酷的事情。在这次采访中，她讲述了自己参与 Drupal 的原因，一些她自己喜欢的开源硬件项目，以及 IoT 和 Drupal 的未来。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmxpbnV4cHJvYmUuY29tL3dwLWNvbnRlbnQvdXBsb2Fkcy8yMDE2LzA4LzEwMDAxNWZrczh4dDhsc3c2c3pxMGMtMS5wbmc=.jpg" /></p>
<p><strong>你是怎么加入 Drupal 社区的？</strong></p>
<p>在这之前，我在一家大型非盈利性机构市场部的“网站管理部”工作，飞快地批量生产出各种定制 PHP/MySQL 表单。最终我厌烦了这一切，并开始在网上寻找更好的方式。然后我找到了 Drupal 6 并开始沉迷进去。过了几年，在一次跳槽之后，我发现了波特兰 Drupal 用户组，然后在里面找了一份全职的 Drupal 开发者工作。我一直经常参加在波特兰的聚会，在那里我找到了大量的社区、朋友和专业方面的发展。一个偶然的机会，我在 Lullabot 找了一份培训师的工作，为 Drupalize.Me 提供内容。现在，我管理着 Drupalize.Me 的内容输出，负责编撰 Drupal 8 相关的内容，还很大程度地参与到波特兰 Drupal 社区中。我是今年的协调员，寻找并安排演讲者们。</p>
<p><strong>我们想知道：什么是 Arduino 原型，你是怎么找到它的，以及你用 Arduino 做过的最酷的事是什么？</strong></p>
<p>Arduino，Raspberry Pi，以及可穿戴电子设备，这些年到处都能听到这些术语。我在几年前通过 Becky Stern 的 YouTube 秀（最近由 Becky 继续主持，每周三播出）发现了Adafruit 的可穿戴电子设备。我被那些可穿戴设备迷住了，还订了一套 LED 缝制工具，不过没做出任何东西。我不太适合它。我没有任何电子相关的背景，而且在我被那些项目吸引的时候，我根本不知道怎么做出那样的东西，它似乎看上去太遥远了。</p>
<p>后来，我在 Coursera 上找到了一个“物联网”专题。（很时髦，对吧？）我很快就喜欢上了。我最终找到了 Arduino 是什么的解释，以及所有这些其他的重要术语和概念。我订了一套推荐的 Arduino 初学者套件，还附带了一本如何上手的小册子。当我第一次让 LED 闪烁的时候，开心极了。我在圣诞节以及之后有两个星期的假期，然而我什么都没干，就一直根据初学者小册子给 Arduino 电路编程。很奇怪我觉得很放松！我太喜欢了。</p>
<p>在一月份的时候，我开始构思我自己的原型设备。在知道我需要主持公司培训的开场白时，我用五个 LED 灯和 Arduino 搭建了一个开场白视觉计时器的原型。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmxpbnV4cHJvYmUuY29tL3dwLWNvbnRlbnQvdXBsb2Fkcy8yMDE2LzA4LzEwMDAxNmtkMHN3b296ZjAwMHc0a3MtMS5qcGc=.jpg" /></p>
<p>这是一次巨大的成功。我还做了我的第一个可穿戴项目，一件会发光的连帽衫，使用了和 Arduino IDE 兼容的 Gemma 微控制器，一个小的圆形可缝制部件，然后用可导电的线缝起来，将一个滑动可变电阻和衣服帽口的收缩绳连在一起，用来控制缝到帽子里的五个 NeoPixel 灯的颜色。这就是我对原型设计的看法：做一些很好玩也可能会有点实际用途的疯狂项目。</p>
<p><strong>Drupal 和 IoT 带来的最大机遇是什么？?</strong></p>
<p>IoT 与 Web Service 以及 Drupal 分层趋势实际并没有太大差别。就是将数据从一个东西传送到另一个东西，然后将数据转换成一些有用的东西。但数据是如何送达？能用来做点什么？你觉得现在就有一大堆现成的解决方案、应用、中间层，以及 API 吗？采用 IoT，这只会继续成几何指数级的增长。我觉得，给我任何一个设备或“东西”，总有办法来将它连接到互联网上，有很多办法。而且有大量现成的代码库来帮助创客们将他们的数据从一个东西传到另一个东西。</p>
<p>那么 Drupal 在这里处于什么位置？首先，Web services 将是第一个明显的地方。但作为一个创客，我不希望将时间花在编写 Drupal 的订制模块上。我想要的是即插即用！所以我很高兴出现这样的模块能连接 IoT 云端 API 和服务，比如 ThingSpeak，Adafruit.io，IFTTT，以及其他的。我觉得也有一个很好的商业机会，在 Drupal 里构建一套 IoT 云服务，允许用户发送和存储他们的传感器数据，并可以制成表格和图像，还可以写一些插件可以响应特定数据或阙值。每一个 IoT 云 API 服务都是一个细分的机会，所以能留下很大空间给其他人。</p>
<p><strong>这次 DrupalCon 你有哪些期待？</strong></p>
<p>我喜欢与 Drupal 上的朋友重逢，认识一些新的人，还能见到 Lullabot 和 Drupalize.Me 的同事（我们是分布式的公司）！Drupal 8 有太多东西可以去探索了，我们给我们的客户们提供了海量的培训资料。所以，我很期待参与一些 Drupal 8 相关的主题，以及跟上最新的开发进度。最后，我对新奥尔良也很感兴趣！我曾经在 2004 年去过，很期待将这次将看到哪些改变。</p>
<p><strong>谈一谈你这次 DrupalCon 上的演讲：“超越闪烁：将 Drupal 加到你的 IoT 游乐场中”。别人为什么要参加？他们最重要的收获会是什么？</strong></p>
<p>我的主题的标题是，“超越闪烁：将 Drupal 加到你的 IoT 游乐场中”，假设我们所有人都处在同一进度和层次，你不需要了解任何关于 Arduino、物联网、甚至是 Drupal，都能跟上。我将从用 Arduino 让 LED 灯闪烁开始，然后我会谈一下我自己在这里面的最大收获：玩、学、教和做。我会列出一些曾经激励过我的例子，它们也很有希望能激发和鼓励其他听众去尝试一下。然后，就是展示时间！</p>
<ol>
<li>首先，第一个东西。它是一个建筑提醒信号灯。在这个展示里，我会说明如何将信号灯连到互联网上，以及如何响应从云 API 服务收到的数据。</li>
<li>然后，第二个东西。它是一个蒸汽朋克风格 iPhone 外壳形式的“天气手表”。有一个小型 LED 矩阵用来显示我的天气的图标，一个气压和温度传感器，一个 GPS 模块，以及一个 Bluetooth LE 模块，都连接到一个 Adafruit Flora 微控制器上。第二个东西能通过蓝牙连接到我的 iPhone 上的一个应用，并将天气和位置数据通过 MQTT 协议发到 Adafruit.io 的服务器！然后，在 Drupal 这边，我会从云端下载这些数据，更新天气信息，然后更新地图。所以大家也能体验一下通过web service、地图和 Drupal 8 的功能块所能做的事情。</li>
</ol>
<p>学习和制作这些展示原型是一次烧脑的探险，我也希望有人能参与这个主题并感染一点我对这种技术交叉的传染性热情！我很兴奋能分享一些我的发现。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL2NuYmxvZ3NfY29tL2xpbnV4cHJvYmUvODYzNzk3L29fbGludXhwcm9iZSUyMCVlNSViZSVhZSVlNCViZiVhMS5qcGc=.jpg"></p>
<blockquote><p>本文转载地址：<a href="http://www.linuxprobe.com/drupal-iot-hardware.html" rel="external nofollow noreferrer">http://www.linuxprobe.com/drupal-iot-hardware.html</a></p>
<p>免费提供最新Linux技术教程书籍，为开源技术爱好者努力做得更多更好：<a href="http://www.linuxprobe.com/" rel="external nofollow noreferrer">http://www.linuxprobe.com/</a></p></blockquote>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 10:40:09 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Drupal、IoT 和开源硬件之间的交集的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xAxKN3.html" rel="bookmark">其他主流开源硬件简介BeagleBone Black快速入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				其他主流开源硬件简介BeagleBone Black快速入门 1.3 其他主流开源硬件简介 开源硬件种类繁多,但主要有两款开源硬件常与BeagleBone比较.它们就是Arduino和Raspberry Pi(即树莓派).之所以常拿他们来比较,是因为他们有共同点也有不同点.在笔者看来,他们之间可以互相补充,但是均是不可替代的.下面就来简单介绍一下这两种开源硬件本文选自BeagleBone Black快速入门教程. 1.3.1  Arduino Arduino常被用来称呼Arduino的硬件控制器			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/j351X13.html" rel="bookmark">Raspberry pi，一个好玩的派&colon;第一季 开源硬件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开源之风从软件吹到了硬件,三个比较有代表性的是Raspberry Pi(树梅派).Arduino(阿尔杜伊诺,好吧,原谅我的发音)和BeagleBone Black.所谓的开源精神,有人总结为四种维度: 第一,人人可用:第二,人人可探:第三,人人可改:第四,人人可再发布. 说白了,就是我们可以窥探这些硬件是设计的细节,比如如何走线.排板啦,或更厉害的,使用芯片的技术细节我们也可以知道.这增加了我们再次开放的可能性,使可玩性更高.喜欢折腾的硬件黑客\GEEK把这些板子变成最好玩的玩具,在折腾的过程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M68L9y3.html" rel="bookmark">Hauntbox&colon;用于控制你的自己主动化、电子创意家居的开源硬件盒子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Hauntbox 是一个开源硬件控制器,能够满足用随意传感器和控制器建立复杂的.自己主动化的萦绕在心头的电子项目. 它不须要焊接或者预先学什么知识.是全然可控制.并与Arduino插板兼容. 无需编程,就用开源支持控制器,让你出没的地方及项目轻松增加声音,并实现自己主动化! 什么是Hauntbos? Hauntsbos让一些基于自真实世界的,传感器输出的物理事件发生. 在你出没的地方或者其它项目中增加自己主动化操作.简直轻松的难以置信! Hauntbox是一个支持控制器及自己主动化设备,能够用浏			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mombmw3.html" rel="bookmark">极客学院开源硬件视频教程 玩转Arduino</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				玩转Arduino 极客学院开源硬件视频教程玩转 Arduino --数据通信:串口通信玩转Arduino--周边模块:执行部件玩转Arduino-周边模块-传感器部件(1)玩转 Arduino --周边模块-传感器部件(2) 下载地址:http://www.feixueteam.net/thread-840-1-1.html			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35wVr2M.html" rel="bookmark">note：开源许可证之间的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近接触开源项目比较多,关注一下许可证的问题. 饱受诟病的病毒式copyleft就是GPL了.. ref:http://code.csdn.net/news/2819582 ref:http://www.openfoundry.org/LicenseWizard/index.htm,真实的使用效果需要跳转到这个页面才能看到.这里只是给个&quot;形&quot;.. 授權精靈 V3.3     Apache 1.1 Apache 2.0 Artistic BSD CPL GPL LGPL MIT MPL			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49eRrJ4.html" rel="bookmark">开源硬件交流&commat;上海新车间</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当下,开源硬件越来越火了.昨晚和二三同事去新车间参加交流活动.活动的主题居然不是技术,而是众筹融资(嘉定南翔的科技50,对有新奇idea的项目进行扶持),有两家公司带来了硬件,分别是3D打印机和Router开发板. 很有美式地下车库的味道 科泰世纪的微型摄像头D1 速利迪科技的开源3D打印机 精度尚需加强 开源硬件交流@上海新车间			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RmPvjM.html" rel="bookmark">香蕉派 BPI-M1&plus; 双核开源硬件单板计算机</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				香蕉派 BPI-M1+ 开源硬件开发板 深圳市源创通信技术有限公司公司 http://www.sinovoip.com.cn/cp_view.asp?id=562 产品介绍 Banana PI BPI-M1+是一款高性能双核开源硬件单板计算机,Banana PI BPI-M1+是一款比树莓派更强悍的双核Android4.4与Linux产品. Banana PI BPI-M1+兼容性强大,可以跑android系统,Debian linux,Ubuntu linux, Raspberry Pi系统			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBW9Rq0.html" rel="bookmark">oschina开源硬件其它开源，开源硬件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				硬件驱动/工具 25Linux内核 101桌面环境 40开源字体 58嵌入式操作系统 33输入法 110开源硬件 57开源图书 5开源家居 17物联网 87开源货币/比特币 32NASA 开源项目 10无线路由固件 12开源汽车/车载系统			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wB2D10.html" rel="bookmark">开源硬件的几个参考地址</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				各种派PI http://www.eeboard.com/bbs/thread-34534-1-1.htmlRaspberry Pi电脑板,中文译名&quot;树莓派&quot;! Banana pi 香蕉派是 raspberry pi 树莓派的&quot;克隆&quot;www.banana-pi.com最新开源硬件项目,兼容树莓派Banana PI M1是为了配合Elastos.org开源OS推广而推出开源硬件平台 杨梅派 (Waxberry Pi)是一款基于ARM Cortex-A8 构架的微型电脑			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/g41RxgM.html" rel="bookmark" class="title">题目2：买卖股票的最佳时机</a>
					<div>
						#include &quot;stdafx.h&quot;#include&lt;iostream&gt;using namespace std;#include&lt;vector&gt; int  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/j4N5V83.html" rel="bookmark" class="title">iOS图片加载框架学习之FlyImage</a>
					<div>
						在iOS开发中,其图片加载新框架FlyImage 整合了SDWebImage,FastImageCache,AFNetworking的优点,是一个新的性能高效.接口简单的图片加载框架,下面小编就和大家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/g41QlP4.html" rel="bookmark" class="title">测试-关于Unity获取子层级内容的几种接口&lpar;Transform FindChild&comma; Component GetComponentInChildren&comma;&period;&period;&period;&rpar;</a>
					<div>
						测试常用的层级内组件查找接口,但一些需求还是需要扩展 比如按照名称批量查找节点,查找接口对象等 1.transform.Find(string name) 可以直接根据名称搜索到子层级节点和孙节点等, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/kMLzKQ3.html" rel="bookmark" class="title">操作系统&mdash;银行家算法</a>
					<div>
						参考http://blog.csdn.net/yaopeng_2005/article/details/6935235 对小鹏_加油的代码进行了部分修改,并加入了自己的文档注释 定义全局变量,以及主函 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWyqEa3.html" rel="bookmark" class="title">第七天 ：用户管理小全</a>
					<div>
						小Q :圆规为什么能画圆,因为脚在走,心不变: 好多人为什么不能圆梦,因为脚不走,心在变. 一 . 用户配置文件 1 .用户信息文件:  /etc/passwd                     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bnDVk0.html" rel="bookmark" class="title">Android&period;mk与jni目录的关系</a>
					<div>
						附1: Android.mk与jni目录的关系: 在某目录下,如/src/modules1/下存放Android.mk和Application.mk,调用ndk-build试图编译时,会遇到如下错误: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AmAGZ4.html" rel="bookmark" class="title">js模块开发（一）</a>
					<div>
						现在嵌入页面里面的javascript代码越来越复杂,于是可能依赖也越来越严重,使用别人开发的js也越来越多,于是在理想情况下,我们只需要实现核心的业务逻辑,其他都可以加载别人已经写好的模块. 于是j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/418yqY3.html" rel="bookmark" class="title">自己做的几个Slide简单效果</a>
					<div>
						最近在忙于毕业设计,因为平时我是后台开发的,这次前台也要自己搞,像我这样前台设计烂到渣的果然不会爱了. 刚刚要用到首页Slide效果,自己去网上学了一下,下面分享一下我的代码. 首先是最简单的两种效果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLjLJO3.html" rel="bookmark" class="title">百度知道最强组团推广秘笈-吧&lowbar;百度贴吧</a>
					<div>
						吴锋带团队大概有4,5年头了,说实话,吴锋以前自己做事情并没有团队协作意识,现在团队意识之所以强,得益于5年前参加过清华大学&quot;项目管理&quot;3年多培训,并获得美国PMP项目管理认证资历 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aAyDn0.html" rel="bookmark" class="title">RUC自习助手&lowbar;概要设计说明书</a>
					<div>
						文档编号:2016052303 版本信息:v3.0 开发小组:找不到地方上自习组 成员:王丹丹.赵安.吴婧.杨轹丹.孟启飞.彭宇清 版本号 编写(修改)人 修改描述 修改时间 V1.0 吴婧 编写初稿 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPwZwm4.html" rel="bookmark" class="title">IOS杂记</a>
					<div>
						- (BOOL)pointInside:(CGPoint)point withEvent:(UIEvent *)event { //Using code from http://stackoverfl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k9BmL4.html" rel="bookmark" class="title">如何部署 Calico 网络？- 每天5分钟玩转 Docker 容器技术（67）</a>
					<div>
						Calico 是一个纯三层的虚拟网络方案,Calico 为每个容器分配一个 IP,每个 host 都是 router,把不同 host 的容器连接起来.与 VxLAN 不同的是,Calico 不对数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPJDav3.html" rel="bookmark" class="title">数据结构学习（冒泡、选择、插入、快速排序）</a>
					<div>
						#coding=utf-8 ''' 数据结构排序 ''' #函数冒泡排序 # 参数alist:被排序的列表 def bubbleSort(alist): for num in range(len(al ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47XARkM.html" rel="bookmark" class="title">Synopsys VCS 学习笔记（一）</a>
					<div>
						1.VCS常用编译命令: vcs source_files [source_or_object_files] optionse.g vcs top.v toil.v -RI +v2k Details  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmQl1VM.html" rel="bookmark" class="title">AngularJs中的模块化</a>
					<div>
						一个简单的 angularJs 例子如下所示: &lt;!DOCTYPE html&gt; &lt;html ng-app&gt; &lt;head&gt; &lt;meta http-equiv=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xAJzr3.html" rel="bookmark" class="title">datagridview 行高列宽的自动设置</a>
					<div>
						1) 设定行高和列宽自动调整 [C#]// 设定包括Header和所有单元格的列宽自动调整 DataGridView1.AutoSizeColumnsMode = DataGridViewAutoSi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NQND83.html" rel="bookmark" class="title">【转】倒排索引</a>
					<div>
						原文链接 http://www.cnblogs.com/surgewong/p/3351863.html 倒排索引(Inverted index),顾名思义,是一种反向的索引. 首先我们先来看一下索引 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41yKdO4.html" rel="bookmark" class="title">&lbrack;k&rsqb;H5存储-慕课笔记&lpar;2&rpar;</a>
					<div>
						$2  H5的几种存储 (1).本地存储(localStorage &amp; sessionStorage) (2).离线缓存(application cache) (3).IndexdDB和Web ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eaOOD0.html" rel="bookmark" class="title">Chrome与Firefox对于时间处理的不同</a>
					<div>
						new Date() 函数传参数,在火狐浏览器和谷歌浏览器控制台运行,会得到不同的结果,刚开始觉得不可能,后来实际操作才发现此陷阱. 在Firefox中: var dString = &quot;20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3raR9b0.html" rel="bookmark" class="title">浏览器兼容之Chrome浏览器： -webkit-text-size-adjust&colon; none&semi;</a>
					<div>
						今天在看demo的时候css样式里面发现的 -webkit-text-size-adjust: none; 度娘以后,了解这段样式的作用是:解决Chrome浏览器里面,设置小于12px的字体大小问题. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
